QwtCPointerData(3)

NAME
QwtCPointerData - Data class containing two pointers to memory blocks of doubles.

SYNOPSIS

#include <qwt_point_data.h>

Inherits QwtSeriesData< QPointF >.

  Public Member Functions
QwtCPointerData (const double *x, const double *y, size_t size)
virtual QRectF boundingRect () const
Calculate the bounding rectangle.
virtual size_t size () const
virtual QPointF sample (size_t index) const
const double * xData () const
const double * yData () const

  Additional Inherited Members

Detailed Description

Data class containing two pointers to memory blocks of doubles.

Constructor & Destructor Documentation

  QwtCPointerData::QwtCPointerData (const double * x, const double * y, size_t size)
Constructor

Parameters
    x Array of x values
    y Array of y values
    size Size of the x and y arrays

Warning
    The programmer must assure that the memory blocks referenced by the pointers remain valid during the lifetime of the QwtPlotCPointer object.

See also
    QwtPlotCurve::setData(), QwtPlotCurve::setRawSamples()

Member Function Documentation

  QRectF QwtCPointerData::boundingRect () const [virtual]

Calculate the bounding rectangle. The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns
    Bounding rectangle

  QPointF QwtCPointerData::sample (size_t index) const [virtual]
Return the sample at position i

Parameters
    index Index

Returns
    Sample at position i

Implements QwtSeriesData< QPointF >.

  size_t QwtCPointerData::size () const [virtual]

Returns
    Size of the data set

  const double * QwtCPointerData::xData () const

Returns
    Array of the x-values

  const double * QwtCPointerData::yData () const

Returns
    Array of the y-values

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.